from django.shortcuts import render
from django.contrib import messages
from django.shortcuts import redirect
from main.form import UserForm, LoginForm
from django.contrib.auth import authenticate, login as auth_login
from django.contrib.auth.models import User 
from django.contrib.auth import logout

# Create your views here.
# def register(request):
#     form = UserForm()

#     if request.method == "POST":
#         form = UserForm(request.POST)
#         if form.is_valid():
#             django_user = User.objects.create_user(
#                 username=form.cleaned_data['username'],
#                 email=form.cleaned_data['email'],
#                 password=form.cleaned_data['password']
#             )
#             user_danantaro = form.save(commit=False)
#             user_danantaro.user = django_user  # Hubungkan ke user Django
#             user_danantaro.save()
#             messages.success(request, 'Your account has been successfully created!')
#             return redirect('authentication:login')
#     context = {'form':form}
#     return render(request, 'register.html', context)

def register(request):
    if request.method == "POST":
        form = UserForm(request.POST)
        if form.is_valid():
            form.save()
            messages.success(request, 'Your account has been successfully created!')
            return redirect("authentication:login")  # Ganti "home" dengan URL tujuan setelah login
    else:
        form = UserForm()
    return render(request, "register.html", {"form": form})

def login(request):
    if request.method == 'POST':
        form = LoginForm(request, data=request.POST)
        if form.is_valid():
            username = form.cleaned_data.get('username')
            password = form.cleaned_data.get('password')
            user = authenticate(username=username, password=password)
            if user is not None:
                auth_login(request, user)
                return redirect('main:info_pengguna')
            else:
                messages.error(request, 'Invalid username or password.')
    else:
        form = LoginForm()
    
    context = {'form': form}
    return render(request, 'login.html', context)

def logout_view(request):
    logout(request)
    return redirect('authentication:login') 