# Generated by Django 5.1.7 on 2025-03-17 09:14

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator("^[a-zA-Z0-9.,'_-]+$", message="Hanya huruf, angka, dan karakter ('.', ',', '-', '_') yang diperbolehkan.")])),
                ('password', models.CharField(max_length=255, validators=[django.core.validators.MinLengthValidator(8)])),
                ('birth_date', models.DateField()),
                ('phone', models.CharField(max_length=15, validators=[django.core.validators.RegexValidator('^\\d{8,15}$', message="Nomor HP harus terdiri dari 8 hingga 15 digit angka tanpa simbol '+'.")])),
                ('email', models.EmailField(max_length=254)),
                ('url_blog', models.URLField()),
                ('description', models.TextField(validators=[django.core.validators.MinLengthValidator(5), django.core.validators.MaxValueValidator(1000)])),
                ('no_rekening', models.CharField(max_length=10, validators=[django.core.validators.RegexValidator('^\\d{8,10}$', message='Nomor rekening harus terdiri dari 8 hingga 10 digit angka.')])),
                ('credit_score', models.IntegerField(validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(800)])),
                ('no_card', models.CharField(max_length=16, validators=[django.core.validators.RegexValidator('^\\d{15,16}$', message='Nomor kartu ATM harus terdiri dari 15 atau 16 digit angka.')])),
                ('employee_status', models.CharField(choices=[('Karyawan', 'Karyawan'), ('PNS', 'PNS'), ('Mahasiswa', 'Mahasiswa'), ('Dosen', 'Dosen')], max_length=50)),
                ('code_currency', models.CharField(max_length=3, validators=[django.core.validators.RegexValidator('^[A-Z]{3}$', message='Kode mata uang harus terdiri dari 3 huruf kapital sesuai ISO 4271.')])),
            ],
        ),
    ]
