# Generated by Django 5.1.7 on 2025-03-25 06:33

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='UserDanantaro',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, validators=[django.core.validators.RegexValidator("^[a-zA-Z0-9.,'_-]+$", code='invalid_name', message="Hanya huruf, angka, dan karakter ('.', ',', '-', '_') yang diperbolehkan.")])),
                ('birth_date', models.DateField()),
                ('phone', models.CharField(max_length=15, validators=[django.core.validators.RegexValidator('^\\d{8,15}$', message="Nomor HP harus terdiri dari 8 hingga 15 digit angka tanpa simbol '+'.")])),
                ('url_blog', models.URLField()),
                ('description', models.TextField(validators=[django.core.validators.MinLengthValidator(5), django.core.validators.MaxLengthValidator(1000)])),
                ('no_rekening', models.CharField(max_length=10, validators=[django.core.validators.RegexValidator('^\\d{8,10}$', message='Nomor rekening harus terdiri dari 8 hingga 10 digit angka.')])),
                ('credit_score', models.IntegerField(validators=[django.core.validators.MaxValueValidator(800), django.core.validators.MinValueValidator(0)])),
                ('no_card', models.CharField(max_length=16, validators=[django.core.validators.RegexValidator('^\\d{15,16}$', message='Nomor kartu ATM harus terdiri dari 15 atau 16 digit angka.')])),
                ('employee_status', models.CharField(choices=[('Karyawan', 'Karyawan'), ('PNS', 'PNS'), ('Mahasiswa', 'Mahasiswa'), ('Dosen', 'Dosen')], max_length=50, validators=[django.core.validators.RegexValidator('^(Karyawan|PNS|Mahasiswa|Dosen)$', message='Status pekerjaan harus salah satu dari: Karyawan, PNS, Mahasiswa, Dosen.')])),
                ('code_currency', models.CharField(max_length=3, validators=[django.core.validators.RegexValidator('^[A-Z]{3}$', message='Kode mata uang harus terdiri dari 3 huruf kapital sesuai ISO 4271.')])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.DeleteModel(
            name='User',
        ),
    ]
